Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsproxy
Class OWSProxyServletFilter

    java.lang.Object
      org.deegree.security.owsproxy.OWSProxyServletFilter

All Implemented Interfaces:
  javax.servlet.Filter

Deprecated. use

    @Deprecated
    public class OWSProxyServletFilter

extends Object
implements javax.servlet.Filter

An OWSProxyPolicyFilter can be registered as a ServletFilter to a web context. It offeres a facade that looks like a OWS but additionaly enables validating incoming requests and outgoing responses against rules defined in a policy document and/or a deegree user and right management system.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  `SecurityRegistry`, `ConfigurableOWSProxyServletFilter`

Constructor Summary
`OWSProxyServletFilter()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated. free resources allocated by the filter
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Deprecated. perform filter
`void` | `init(javax.servlet.FilterConfig config)` Deprecated. initialize the filter with parameters from the deployment descriptor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSProxyServletFilter

    public OWSProxyServletFilter()

  Deprecated.

Method Detail

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Deprecated.
  initialize the filter with parameters from the deployment descriptor

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`
  See Also:
    `Filter.init(javax.servlet.FilterConfig)`

### destroy

    public void destroy()

  Deprecated.
  free resources allocated by the filter

  Specified by:
    `destroy` in interface `javax.servlet.Filter`
  See Also:
    `Filter.destroy()`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Deprecated.
  perform filter

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`
  See Also:
    `Filter.doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org